<?php

require_once "fs_lang.php";
require_once "fs_cart.php";
require_once 'generate_common.php';

// 20090427 - Block if RADIUS mode
$settingObj = new COM('FSCONFIG.Cfgmgr') or die('cart.php FSCONFIG.Cfgmgr Object cannot be created!');
$useRadius = $settingObj->getKey('use_radius', 'radius');
$settingObj = null;
if (strtolower($useRadius) == 'true') {
    $inputStr = '<span class="boldtextspan">'.get_var('cart_radius_not_support').'</span><br>';
    GenTable('', $inputStr, '');
}

// 20080403 - Collect dynamic HTML content for layout
$smarty = new SmartyConnect;
$smarty->assign('L_CART_CHARSET', metaCharset());
$smarty->assign('L_CART_WELCOME', get_var('cart_welcome'));
$smarty->assign('CART_USERNAME', $username);
$smarty->assign('L_CART_CHECK_TIMELEFT', get_var('cart_check_timeleft'));
$smarty->assign('L_CART_CHECK_TXN', get_var('cart_check_txn'));
$smarty->assign('CART_LOCAL_SITE_ADDR', fs_local_site_address());
$smarty->assign('L_CART_SHOPPING_CART', get_var('cart_shopping_cart'));
$smarty->assign('L_CART_DESC', get_var('cart_desc'));
$smarty->assign('L_CART_PRICE', get_var('cart_price'));
$smarty->assign('L_CART_CURRENCY', GetCurrency());
$smarty->assign('L_CART_ROW', createRows()); /*dynamically generate shopping cart items*/
$smarty->assign('CART_CHECKOUT', get_var('cart_checkout'));
$smarty->assign('J_COMMON', $j_common);

// 20080403 - Move layout content and include the file here
$smarty->display('cart_body.tpl');

?>
