<?php

	// security check
    require_once "secureLogin.php";
    require_once "cmvar.php";
	require_once ("..\\authserv\\common_functions.php");

	// 20090518 - Remove Start
	// version control
	if (substr_count(strtolower($version), 'standard') > 0) {
        if (substr_count(strtolower($version),'donation')>0)
            $version = substr($version,0,strlen($version)-9);
        $disabled = ' disabled';
        $version_msg = '* This feature is not available in '. ucwords($version) .' Edition.';
        $version_star = '<span class="star">* </span>';
    } else {
        $disabled = '';
        $version_msg = '';
        $version_star = '';
    }

    $settingobj = new COM('FSCONFIG.Cfgmgr') or die('setcfg.php FSCONFIG.Cfgmgr Object cannot be created!');
	
	$IBMsgOnOff = $settingobj->getKey('iBMsg', 'IB');
	
	$FSIB_Infobox_Mode= $settingobj->getKey('iBMsg_infobox_mode', 'IB');
	$FSIB_RemindMin = $settingobj->getKey('iBMsg_RemindMin', 'IB');
	$FSIB_CB_Redirect= $settingobj->getKey('iB_cb_redirect', 'IB');
	$FSIB_interval= $settingobj->getKey('iBMsg_interval', 'IB');
	$FSIB_Redirect_Option= $settingobj->getKey('iB_redirect_option', 'IB');
	$FSIB_Redirect_Wait= $settingobj->getKey('iB_redirect_wait', 'IB');
	$FSIB_ShowLink = $settingobj->getKey('iB_redirect_showLink', 'IB');
	$FSIB_ShowLink_Wait = $settingobj->getKey('iB_redirect_showLink_wait', 'IB');
	$FSIB_Proxy_Port = $settingobj->getKey('proxy_port', 'IB');
	$FSIB_Script_Port = $settingobj->getKey('script_port', 'IB');
	$FSIB_Banner_Mode = $settingobj->getKey('iB_banner_mode', 'IB');
	$FSIB_Banner_Type = $settingobj->getKey('iB_banner_type', 'IB');
	$FSIB_Frame_Width = $settingobj->getKey('iB_banner_frame_w', 'IB');
	$FSIB_Frame_Height = $settingobj->getKey('iB_banner_frame_h', 'IB');
	
	$isEnableIBMsgTimeReminder = 0;
	if ($FSIB_RemindMin > 0){
		$isEnableIBMsgTimeReminder = 1;
	}else{
		$FSIB_RemindMin ="";
	}
	
	$isEnableInfoboxAlwaysOn = 0;
	if ($FSIB_Infobox_Mode == 2){
		$isEnableInfoboxAlwaysOn = 1;
	}
	
	$remindDisplay='none';
	$cbOptionDisplay='none';
	$frame='setIBMsg.php';
	
	$bnTypeDisplay='none';
	$imageDisplay='none';
	$sizeDisplay='none';
	$custSizeDisplay='none';
	$select=array("", "", "", "");
	
	if ($IBMsgOnOff){
		$defaultDisplay1 = '';
		if($isEnableIBMsgTimeReminder == 1){
			$remindDisplay='';
		}
		if($FSIB_CB_Redirect == 1){
			$cbOptionDisplay='';
		}
		
		$select[0] = "selected"; // not select
		
		if($FSIB_Banner_Mode != 0){
			$bnTypeDisplay='';
			
			if ($FSIB_Banner_Type == 2){
				$select[0] = ""; // remove "not select"
				$sizeDisplay='';
				// hard code,
				if ($FSIB_Frame_Width == 728 && $FSIB_Frame_Height == 90){
					$select[1] = "selected"; // option 1
				}
				else if ($FSIB_Frame_Width == 936 && $FSIB_Frame_Height == 120){
					$select[2] = "selected"; // option 2
				}
				else{
					$select[3] = "selected"; // customize
					$custSizeDisplay="";
				}
			}
			else { // FSIB_Banner_Type == 1 or default
				$imageDisplay='';
			}
		}
	}
	else{
		$defaultDisplay1 = 'none';
		$frame='';
		$select[0] = "selected"; // not select
	}
	
	// max of banner image can assign web link
	//* need modify settingok.php if modify value
	$maxWithWebLink=20;
	
	$settingobj=null;

	?>
	<link rel="stylesheet" href="ibmsg.css" type="text/css" />
	<script type="text/javascript" >
	var glo_no_img_chosen="<?=get_cm_var('setcfg_ibmsg_banner_no_img_chosen')?>";
	var glo_alert_msg1="<?=$maxWithWebLink.get_cm_var('js_alert_ibmsg_9')?>";
	var glo_maxWithWebLink=<?=$maxWithWebLink?>;
	</script>
	<script type="text/javascript" src="./javascript/ibmsg.js"></script>
	<form name="c_ibmsg" action="settingok.php" method="post" onSubmit="return validate_ibmsg()">
	<?
	
		gen_license_warning($version_msg);
	
		// IBMsg enable or disable
		$input=
		'<input type="radio" name="ibmsgOnOff" value="1" '.($IBMsgOnOff==1? "checked" : "").' onClick="changeIBMsgOnOff(this)">'.get_cm_var('setcfg_ibmsg_enabled').
		'<input type="radio" name="ibmsgOnOff" value="0" '.($IBMsgOnOff==0? "checked" : "").' onClick="changeIBMsgOnOff(this)">'.get_cm_var('setcfg_ibmsg_disabled');
		
		gen_invisible_line(get_cm_var('setcfg_ibmsg'), $input, 'FSIBMsgOnOff', "");
	?>
	<tr id ="FSIBMsgBroadcast" style="display:<?=$defaultDisplay1?>">
	<td colspan="9">
	<fieldset>
	<legend class='captionbig' style='color: green;'><?=get_cm_var('setcfg_ibmsg_msg_broadcast')?></legend>
	<!-- iframe for Message broadcast-->
	<div>
	<iframe id="broadcastMsgFrame" src="<?=$frame?>" width="750" height="400" frameborder="0" marginwidth="0" marginheight="0" scrolling="no"></iframe>
	</div>
	</fieldset>
	</br>
</td></tr>
	<?
	gen_invisible_sep( 'fsib_sep1', $defaultDisplay1 );
	
	// top banner
	
	if($FSIB_Banner_Mode == 0){
        $input='<input type="checkbox" name="banner_Mode" value="OFF" onClick="onBanner()">';
    }
    else{
		$input='<input type="checkbox" name="banner_Mode" value="ON" onClick="onBanner()" checked >';
	}
	
	gen_invisible_line(get_cm_var('setcfg_ibmsg_enable_banner'), $input, 'FSIB_BannerMode', $defaultDisplay1);
	
	gen_invisible_sep( 'fsib_sep13', $defaultDisplay1 );
	
	// banner type
	$input='<input type="radio" name="banner_type" value="IMAGE" onclick="chBannerType()" '.($FSIB_Banner_Type!=2? "checked" : "").' >'.get_cm_var('setcfg_ibmsg_banner_image').
    '<input type="radio" name="banner_type" value="FRAME" onclick="chBannerType()" '.($FSIB_Banner_Type==2? "checked" : "").' >'.get_cm_var('setcfg_ibmsg_banner_frame')."<br>";
	
	gen_invisible_line2(get_cm_var('setcfg_ibmsg_banner_type'), $input, 'FSIB_BannerType', $bnTypeDisplay);
	
	gen_invisible_sep( 'fsib_sep16', $bnTypeDisplay );
	
	// banner image
	// simular c_ui_custom.php
	$settingobj = new COM('FSCONFIG.Cfgmgr') or die('setcfg.php FSCONFIG.Cfgmgr Object cannot be created!');
    $file_count=$settingobj->getKey('iB_banner_img_count','IB');
	$i=0;
	
	$folder="/bn_pic/";
	$f_path='../authserv'.$folder;
	$banner_pic_file="";
	$count_pic=0;
	$hvLink=false;
	$img_pic = array();
	
	// header
	$input='<table>';
	$input.='<tr><td valign="bottom"><table><td valign="bottom" align="left" class="captionbig"><font size=2.8 face="sans-serif";>';
	$input.=get_cm_var('setcfg_ibmsg_banner_available_img');
	$input.="</font></td></table></td>";
	$input.='<td valign="bottom" class="captionbig"><table><tr><td valign="bottom" align="left" width=25% class="captionbig"><font size=2.8 face="sans-serif";>';
	$input.=get_cm_var('setcfg_ibmsg_banner_selected_img');
	$input.='</td><td valign="bottom" align="left" width=75% class="captionbig"><font size=2.8 face="sans-serif";>';
	$input.=get_cm_var('setcfg_ibmsg_banner_weblink');
	$input.='</td></tr></table></td></tr>';
	
	while($i<$file_count){
		$fname="iB_banner_img";
		$fname.=$i;
		$value_pic[$i]=$settingobj->getKey($fname,'IB');
		$i++;
	}
	// available image
	$input.='<tr><td valign="top"><table><tr><select size=7 name="iB_banner_img[]" id="iB_banner_img[]" style="min-width:100px;" multiple="multiple" onChange=changehtml2(this)>';
	
	// list all image in folder
	if ($handle = opendir($f_path)) {
        while (false !== ($file = readdir($handle))) {
			// allow jpg or gif only
            if ( preg_match('/\w+.jpg/', strtolower($file)) || preg_match('/\w+.gif/', strtolower($file)) ) {
                $input.="<option";
				$y=0;
				// check is it selected
				while($y<$file_count){
					if ($file == $value_pic[$y])
						$input.= " selected";
					$y++;
				}
				$input.=">";
				$input.=$file."\n";	
            }
        }
        closedir($handle); 
    }
	$input.="</select></tr>";
	$input.='<tr><input type="button" class="graphicBtn" value="'.get_cm_var('setcfg_ibmsg_banner_img_upload_btn')."\" onclick=\"open_url('./upload_login_pic.php?uploaddir=".$f_path."');\" title=\"Upload Image (Open New Window)\">\n";
	$input.="</tr></table></td>";
	
	$input.='<td valign="top" class="captionbig"><div style="width: 308px; height: 115px; overflow: auto; max-height; border: 1px black solid; "><table>';
	
	// selected image file label
	$i=0;
	while($i<$maxWithWebLink){
		$input.='<tr><td class="captionbig">';
		$input.='<label class=\'captionbig\' id="pic_chosen';
		$input.=$i;
		$input.='">'.get_cm_var('setcfg_ibmsg_banner_no_img_chosen').'</label>';
		$input.="</td><td>";
		$var_html="html";
		$var_html.=$i;
		$input.='<input type="text" name="';
		$input.=$var_html;
		$input.='" id="';
		$input.=$var_html;
		$input.='" onFocus=fill_textbox(';
		$input.=$i;
		$input.=") onBlur=clear_textbox(";
		$input.=$i;
		$input.=') value="" class="textbox" size="28"></td></tr>';
		$i++;
		}
	$input.='</table></div>';
	$input.='</td></tr></table>';
	
	// gen_invisible_line2(get_cm_var('setcfg_ibmsg_banner_img_file'), $input, 'FSIB_BannerIMG', $imageDisplay);
	// workaround to adjust the table size
	echo '
	<tr id="FSIB_BannerIMG" style="display: '.$imageDisplay.'">
		<td width="175"><p class="indented"><img src="./images/blank.gif" width="8" height="8"><img src="./images/blank.gif" width="10" height="6">'.get_cm_var('setcfg_ibmsg_banner_img_file').'</td>
		<td width="50"><img src="./images/blank.gif" width="3" height="3"></td>
		<td width="525" class="normal">'.$input.'</td>
	</tr>';
	
	gen_invisible_sep( 'fsib_sep17', $imageDisplay );
	
	//save the html for specified loginpage pic	
	$fname="iB_banner_img0";
	$i=0;
	while(($file=$settingobj->getKey($fname,'IB'))!=null){
		$var_iB_banner_img="pic";
		$var_iB_banner_img.=$i;
		$file=$settingobj->getKey($fname,'IB');
		$input = "  <input type=\"hidden\" name=";
		$input .=$var_iB_banner_img;
		$input .='  id="';
		$input .=$var_iB_banner_img;
		$input .='" value="';
		$input .=$file;
		$input .= "\">";		
		$i++;
		$fname="iB_banner_img";
		$fname.=$i;
		echo $input; 
	}
	$y=$settingobj->getKey('iB_banner_img_count','IB');
	$input = '<input type="hidden" name="pic_count" id="pic_count" value=';
	$input .=$y;
	$input .=">";
	echo $input;
	
	$fname_html="iB_banner_img_html0";
	
	$i=0;
	while($i<$maxWithWebLink){
		$fname_html="iB_banner_img_html";
		$fname_html.=$i;
		if(($file_html=$settingobj->getKey($fname_html,'IB'))==null)
			$i++;
		else {
			$var_iB_banner_img_html="pic_html";
			$var_iB_banner_img_html.=$i;
			$file_html=$settingobj->getKey($fname_html,'IB');
			$input= "<input type=\"hidden\" name=";
			$input.=$var_iB_banner_img_html;
			$input.= ' id="';
			$input.=$var_iB_banner_img_html;
			$input.='" value="';
			$input.=$file_html;
			$input.= '">';		
			$i++;
			echo $input;
		}
	}
	$input= ' <input type="hidden" name="html_count" id="html_count" value=';
	$input.=$i;
	$input.=">";
	echo $input;
	
	$input='<script type="text/javascript">changehtml(this);</script>';
	echo $input;
	
	$settingobj=null;
	//--end-----------
	
	$input='<select name="fr_size_Opt" style="width:100px; font-family: sans-serif, Tahoma; font-size:9pt;" onChange=onSelectSizeOption(this)>
			<option value=0 '.$select[0].'>'.get_cm_var('setcfg_ibmsg_frame_size_option0').'</option>
             <option value=1 '.$select[1].'>'.get_cm_var('setcfg_ibmsg_frame_size_option1').'</option>
             <option value=2 '.$select[2].'>'.get_cm_var('setcfg_ibmsg_frame_size_option2').'</option>
			 <option value=3 '.$select[3].'>'.get_cm_var('setcfg_ibmsg_frame_size_option3').'</option>
             </select>';
	
	$input.='<div id="c_fr_size" style="display:'.$custSizeDisplay.'"> <input class="shorttextbox2" type="text" name="fr_w" maxlength="4" value="'.$FSIB_Frame_Width.'" onKeyPress="return portonly(this,event)" onfocus="this.select()"> ';
	
	$input.=' X <input class="shorttextbox2" type="text" name="fr_h" maxlength="4" value="'.$FSIB_Frame_Height.'" onKeyPress="return portonly(this,event)" onfocus="this.select()"> </div>';
	
	$input.="<div><label class='normal'>".get_cm_var('setcfg_ibmsg_frame_reminder')."</label></div>";
	
    gen_invisible_line2(get_cm_var('setcfg_ibmsg_frame_size'), $input, 'size', $sizeDisplay);
	gen_invisible_sep( 'fsib_sep14', $sizeDisplay );
	
	gen_invisible_sep( 'fsib_sep15', $defaultDisplay1 );
	
	// infobox always on
	if($isEnableInfoboxAlwaysOn == 1){
        $input='<input type="checkbox" name="infobox_AlwaysOn" value="ON" checked >';
    }
    else
        $input='<input type="checkbox" name="infobox_AlwaysOn" value="OFF">';
	
	gen_invisible_line(get_cm_var('setcfg_ibmsg_enable_infobox_always_on'), $input, 'FSIB_InfoboxAlwaysOn', $defaultDisplay1);
	
	gen_invisible_sep( 'fsib_sep2', $defaultDisplay1 );
	
	// Reminder
    if($isEnableIBMsgTimeReminder == 1){
        $input='<input type="checkbox" name="time_reminder" value="ON" checked onClick="onReminder()">';
    }
    else
        $input='<input type="checkbox" name="time_reminder" value="OFF" onClick="onReminder()">';
		
	gen_invisible_line(get_cm_var('setcfg_ibmsg_enable_reminder'), $input, 'FSIB_TimeReminder', $defaultDisplay1);
	gen_invisible_sep( 'fsib_sep3', $defaultDisplay1 );

    $input='<input class="shorttextbox" type="text" name="remindMin" maxlength="5" value="'.$FSIB_RemindMin.'" onKeyPress="return portonly(this,event)" onfocus="this.select()">(Blank=5)';
    gen_invisible_line2(get_cm_var('setcfg_ibmsg_remind_min'), $input, 'remindMin', $remindDisplay);
	gen_invisible_sep( 'fsib_sep4', $remindDisplay );
	gen_invisible_sep( 'fsib_sep5', $defaultDisplay1 );
	
	// commercial break
    if($FSIB_CB_Redirect == 1){
        $input='<input type="checkbox" name="cb_redirect" value="ON" checked onClick="onCBRedirect()" '.$disabled.'>';
    }
    else
        $input='<input type="checkbox" name="cb_redirect" value="OFF" onClick="onCBRedirect()" '.$disabled.'>';
		
	$input.="<div><label class='normal'>".get_cm_var('setcfg_ibmsg_cb_reminder')."</label></div>";
	
	gen_invisible_line($version_star.get_cm_var('setcfg_ibmsg_enable_cb'), $input, 'FSIB_CBRedirect', $defaultDisplay1);
	gen_invisible_sep( 'fsib_sep6', $defaultDisplay1 );
	
	// interval
	$input='<input class="shorttextbox" type="text" name="interval" maxlength="5" value="'.$FSIB_interval.'" onKeyPress="return portonly(this,event)" onfocus="this.select()" '.$disabled.'>(Blank=15)';
    gen_invisible_line2($version_star.get_cm_var('setcfg_ibmsg_cb_interval'), $input, 'interval', $cbOptionDisplay);
	gen_invisible_sep( 'fsib_sep7', $cbOptionDisplay );
	
	// redirect delay
	$input='<input class="shorttextbox" type="text" name="cb_redirect_wait" maxlength="5" value="'.$FSIB_Redirect_Wait.'" onKeyPress="return portonly(this,event)" onfocus="this.select()" '.$disabled.'>(Blank=15)';
    gen_invisible_line2($version_star.get_cm_var('setcfg_ibmsg_cb_redirect_wait'), $input, 'FSIB_CBRedirect_wait', $cbOptionDisplay);
	gen_invisible_sep( 'fsib_sep8', $cbOptionDisplay );
	
	$input=
    '<input type="radio" name="cb_redirect_showlink" value="0" '.($FSIB_ShowLink==0? "checked" : "").' '.$disabled.'>'.get_cm_var('setcfg_ibmsg_cb_redirect_showLink_option_0').
    '<br><input type="radio" name="cb_redirect_showlink" value="1" '.($FSIB_ShowLink==1? "checked" : "").' '.$disabled.'>'.get_cm_var('setcfg_ibmsg_cb_redirect_showLink_option_1').
    '<br><input type="radio" name="cb_redirect_showlink" value="2" '.($FSIB_ShowLink==2? "checked" : "").' '.$disabled.'>'.get_cm_var('setcfg_ibmsg_cb_redirect_showLink_option_2').' <input class="shorttextbox2" type="text" name="cb_redirect_showlink_wait" maxlength="5" value="'.$FSIB_ShowLink_Wait.'" onKeyPress="return portonly(this,event)" onfocus="this.select()" '.$disabled.'>Seconds (Blank=5)'.
    '<br>';
	
	gen_invisible_line2($version_star.get_cm_var('setcfg_ibmsg_cb_redirect_showLink'), $input, 'FSIB_CBRedirect_showLink', $cbOptionDisplay);
	gen_invisible_sep( 'fsib_sep9', $cbOptionDisplay );
	
	gen_invisible_sep( 'fsib_sep10', $defaultDisplay1 );
	
	// proxy port
    $input='<input class="shorttextbox" type="text" name="port" maxlength="5" value="'.$FSIB_Proxy_Port.'" onKeyPress="return portonly(this,event)" onfocus="this.select()">(Blank=5796)';
    gen_invisible_line(get_cm_var('setcfg_ibmsg_port'), $input, 'FSIBPort', $defaultDisplay1);
	gen_invisible_sep( 'fsib_sep11', $defaultDisplay1 );
	
	// script port
    $input='<input class="shorttextbox" type="text" name="script_port" maxlength="5" value="'.$FSIB_Script_Port.'" onKeyPress="return portonly(this,event)" onfocus="this.select()">(Blank=5802)';
    gen_invisible_line(get_cm_var('setcfg_ibmsg_script_port'), $input, 'FSIBScriptPort', $defaultDisplay1);
	gen_invisible_sep( 'fsib_sep12', $defaultDisplay1 );
	
	gen_sep();
    gen_save('save_ibmsg',$fs_status);
	
?>
</form>

