<?php
	// 20090518 - Remove Start
	// version control
	if (substr_count(strtolower($version), "standard") > 0) {
        if (substr_count(strtolower($version),"donation")>0)
            $version = substr($version,0,strlen($version)-9);
        $disabled = ' disabled';
        $version_msg = '* This feature is not available in '. ucwords($version) .' Edition.';
        $version_star = '<span class="star">* </span>';
    } else {
        $disabled = '';
        $version_msg = '';
        $version_star = '';
    }

    $settingobj = new COM('FSCONFIG.Cfgmgr') or die('setcfg.php FSCONFIG.Cfgmgr Object cannot be created!');

    echo '<script type="text/javascript" src="./javascript/nat.js"></script>'."\n";
    echo '<form action="settingok.php" name="form_nat" method="post" onSubmit="return validate_nat()">'."\n";

    gen_license_warning($version_msg);
	if($settingobj->getKey('Enable', 'NAT')=='')
		$settingobj->setKey('0','Enable', 'NAT');
	if($settingobj->getKey('NAT_AddrM_Count', 'NAT')=='')
		$settingobj->setKey('0','NAT_AddrM_Count', 'NAT');
	if($settingobj->getKey('NAT_AddrR_SubNet', 'NAT')=='')
		$settingobj->setKey('255.255.255.0','NAT_AddrR_SubNet', 'NAT');
	if($settingobj->getKey('NAT_AddrR_ipS', 'NAT')=='')
		$settingobj->setKey('0.0.0.0','NAT_AddrR_ipS', 'NAT');	
	if($settingobj->getKey('NAT_AddrR_ipE', 'NAT')=='')
		$settingobj->setKey('0.0.0.0','NAT_AddrR_ipE', 'NAT');

    if($settingobj->getKey('Enable', 'NAT')=='1') {
        $input = '<input type="radio" '.$disabled.' name="nat" value="1" onclick="displayARP()" checked>'.get_cm_var('setcfg_nat_enabled').'
        <input type="radio" '.$disabled.' name="nat" value="0" onclick="displayARP()" >'.get_cm_var('setcfg_nat_disabled').'<br>'; 
    } else if ($settingobj->getKey('Enable', 'NAT')=='0') {
        $input = '<input type="radio" '.$disabled.' name="nat" value="1" onclick="displayARP()" >'.get_cm_var('setcfg_nat_enabled').'
        <input type="radio" '.$disabled.' name="nat" value="0" onclick="displayARP()" checked>'.get_cm_var('setcfg_nat_disabled').'<br>'; 
    }
    gen_line($version_star.get_cm_var('setcfg_nat_NAT'), $input);
	
	gen_sep();

    $subnet_mask=$settingobj->getKey('NAT_AddrR_SubNet', 'NAT');
    $subnet_fields=split("\.", $subnet_mask);
    $i=0; $input='';
    while ($i<3) {
        $input .= '<input class="IPtextbox" type="text" name="subnet_mask'.$i.'" value='.$subnet_fields[$i]." maxlength=\"3\" onKeyPress=\"return numbersonly(this,event,'subnet_mask".($i+1)."')\" onfocus=\"this.select()\">. ";
        $i++;
    } 
    $input .= '<input class="IPtextbox" type="text" name="subnet_mask'.$i.'" value='.$subnet_fields[$i].' maxlength="3" onKeyPress="return numbersonly(this,event)" onfocus="this.select()">';

    gen_line(get_cm_var('setcfg_nat_SubNet'), $input);	
	gen_sep();
	$nat_IP_S=$settingobj->getKey('NAT_AddrR_ipS', 'NAT');
    $nat_IP_S_fields=split("\.", $nat_IP_S);
    $i=0; $input='';
    while ($i<3) {
        $input .= '<input class="IPtextbox" type="text" name="nat_IP_S'.$i.'" value='.$nat_IP_S_fields[$i]." maxlength=\"3\" onKeyPress=\"return numbersonly(this,event,'nat_IP_S".($i+1)."')\" onfocus=\"this.select()\">. ";
        $i++;
    }
    $input .= '<input class="IPtextbox" type="text" name="nat_IP_S'.$i.'" value='.$nat_IP_S_fields[$i].' maxlength="3" onKeyPress="return numbersonly(this,event)" onfocus="this.select()">';

    gen_line(get_cm_var('setcfg_nat_RealIPRange_start'), $input);

    gen_sep();
	$nat_IP_E=$settingobj->getKey('NAT_AddrR_ipE', 'NAT');
    $nat_IP_E_fields=split("\.", $nat_IP_E);
    $i=0; $input='';
    while ($i<3) {
        $input .= '<input class="IPtextbox" type="text" name="nat_IP_E'.$i.'" value='.$nat_IP_E_fields[$i]." maxlength=\"3\" onKeyPress=\"return numbersonly(this,event,'nat_IP_E".($i+1)."')\" onfocus=\"this.select()\">. ";
        $i++;
    }
    $input .= '<input class="IPtextbox" type="text" name="nat_IP_E'.$i.'" value='.$nat_IP_E_fields[$i].' maxlength="3" onKeyPress="return numbersonly(this,event)" onfocus="this.select()">';

    gen_line(get_cm_var('setcfg_nat_RealIPRange_end'), $input);

    gen_sep();
	$displayNAT='';
	$frameNAT='setNAT.php';
    echo '
        <tr id="divNAT" align="center" style="display: '.$displayNAT.';">
            <td width="100%" colspan="4" align="center">
				<iframe id="loadframe2" frameborder="0" width="500" height="360" src="'.$frameNAT.'" marginwidth="0" marginheight="0" scrolling="no"></iframe>
			</td>
        </tr>'."\n";
    //****************************************************************************************************
    // Proxy ARP
    //****************************************************************************************************

    // purge if cancel
    if (isset($purge)&&($purge=='true')) {
        $ser_display_proxy=NULL;
        $ser_add_proxy=NULL;
    }

    $displayArp='';
    
    if ($settingobj->getKey('Enable', 'NAT')=='0') 
    $displayparp = '' ;
    else
    $displayparp = 'none' ;
        
    if( $settingobj->getKey('ip_num', 'proxyARP')>0 )
    {   //disabled NAT
	    $displayArp='';
	    $input = '<input type="radio" '.$disabled.' name="parp" value="on" onclick="showARP()"  checked>'.get_cm_var('setcfg_nat_enabled').' <input type="radio" '.$disabled.' name="parp" value="off"   onclick="showARP()">Disabled';
    } 
    else 
    {   //enabled NAT
		$displayArp='none';
        $input = '<input type="radio" '.$disabled.' name="parp" value="on" onclick="showARP()">Enabled <input type="radio" '.$disabled.' name="parp" value="off" onclick="showARP()" checked>'.get_cm_var('setcfg_nat_disabled');   
    }
    //gen_line($version_star.'Proxy ARP', $input);
    gen_invisible_line2($version_star.'Proxy ARP',$input,'parp_radio',$displayparp);

    $frame='setProxyArp.php';
    echo '
        <tr id="divPARP" align="center" style="display: '.$displayArp.';">
            <td width="100%" colspan="4" align="center">
				<iframe id="loadframe" frameborder="0" width="500" height="360" src="'.$frame.'" marginwidth="0" marginheight="0" scrolling="no"></iframe>
			</td>
        </tr>'."\n";
    
    //****************************************************************************************************
    // End of Proxy ARP
    //****************************************************************************************************

    gen_sep();

    gen_save('save_nat',$fs_status);
    // release the COM object
    //$settingobj->Release();
    $settingobj=null;
 // end dispatcher

?>
