<?php
require_once 'common_functions.php';
require_once 'fs_lang.php';

//show_charset and meta_charset passed by fs_lang.php
if (isset($show_charset) && $show_charset && isset($meta_charset)){
	// replace header in fslang.php
	header("Content-Type: text/xml; charset=$meta_charset"); // The content-type of the PHP document is set to be "text/xml"
}else{
	// replace header in fslang.php
	header('Content-Type: text/xml'); // The content-type of the PHP document is set to be "text/xml"
}

header("Cache-Control: no-cache, must-revalidate"); //The PHP document is set to "no-cache" to prevent caching
//A date in the past
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");

$responseCase=0;

// specified data is found
$xmlContent="";

if (isset($_GET['response_case']))
	$responseCase=$_GET["response_case"]; // The variable is set to be the data sent from the html page

// query user name
if($responseCase == 2){
	// create a COM object
	$myobj = new COM('FSAUTH.Authserv') or die('info.php FSAUTH.Authserv object cannot be created!');
	$rsult= $myobj->QueryUser($_SESSION['sess_patronsoft2']);
	$myobj=null;
	if(strcmp($_SESSION['session_username'], $rsult) == 0){
		$updateRefresh = 1; //no need to update
	}else{
		if (strcmp($rsult, "") != 0 && !($rsult=='DB NOT FOUND' or $rsult=='DB EXEC FAIL')){
			$_SESSION['session_username'] = $rsult;
			$updateRefresh = 2; // need update username and refresh
		}else{
			$updateRefresh = 3; // can't query user name, need refresh			
		}
	}
	$xmlContent.="<updateRefresh>" . $updateRefresh . "</updateRefresh>";
}
    
// The data is outputted as an xml document 
// since < ? ? > in php have special meaning, so that using print() instead of echo()
$xmlHeader = "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n";
print $xmlHeader;
echo "<queryName>";
echo "<responseCase>" . $responseCase . "</responseCase>";
echo $xmlContent;
echo "</queryName>";
?>