<html>
<head>
<script type="text/javascript">
<?php
    require_once("secureLogin.php"); //for security reason
    require_once("cmvar.php");
    include_once "sysfunc.php";
    include_once("..\\authserv\\common_functions.php");
    
    $settingobj = new COM("FSCONFIG.Cfgmgr") or die("updateGroup.php FSCONFIG.Cfgmgr Object cannot be created!");

    // obtain shared secret table name
    $sharedSecretTablename = $settingobj->getKey( "Datasource_Shared_Secret_Tablename", "gateway");
    $firstspotusertable = $settingobj->getKey( "Datasource_Tablename", "gateway");

    // obtain low, medium or high BT value from config.ini
    $outval = $settingobj->getKey( "bt_low", "bw_throttle");        
    if($outval!="") $low=$outval;
    $outval = $settingobj->getKey( "bt_medium", "bw_throttle");       
    if($outval!="") $medium=$outval;
    $outval = $settingobj->getKey( "bt_high", "bw_throttle");
    if($outval!="") $high=$outval;

    // find out version information
    $version=strtolower($settingobj->getKey( "version", "version"));

	// 20090518 - Add Premium
	$allowPerUserBT = $version == "trial" || $version == "advanced" || $version == 'premium';
	$allowDataTransferCount = $version == "trial" || $version == "standard" || $version == "advanced" || $version == 'premium';
	$allowDataTransferQuota = $version == "trial" || $version == "advanced" || $version == 'premium';

    //find database source file
    $dsn_file=$settingobj->getKey( "Datasource", "gateway");
    $dsn_source=fopen($dsn_file, "r") or die("Cannot open DSN source file!");
    $dsn="";
    if (!feof($dsn_source)) { $line=fgets($dsn_source,512); }
    while (!feof($dsn_source)) {
      $line=fgets($dsn_source,512);
      if (trim($line)!="") $dsn=$dsn.$line;
    }
    fclose($dsn_source);
    $dsn=str_replace("\r\n",";",$dsn);

    //release COM object
    //$settingobj->Release();
    $settingobj = null;

    /********************************************
        check for form submission data error
    ********************************************/
    $updateError = false;
    if (!isset($gpName) || strpos($gpName,' ')!=false) {
        $updateError = true;
        $rpcMessage = get_cm_var('ssecret_error_gpName_space');
    } else {
        //check for existence of secret name in database
        $secretDB=odbc_connect($dsn,"","");
        if ($secretDB) {
            $query = "SELECT * FROM $sharedSecretTablename WHERE groupname ='$gpName';";
            $result=odbc_exec($secretDB,$query);
            $i = 0;
            while (odbc_fetch_row($result)) {
                $i++;
            }
            if ($i != 1) { //no such secret was found
                $updateError = true;
                $rpcMessage = get_cm_var('ssecret_error_gpName_not_found');
            }
            odbc_close($secretDB);
        } else {
                $updateError = true;
                $rpcMessage = get_cm_var('ssecret_error_db_connect');
        }
    }
    if (!$updateError) {
        if (isset($secretCode) && isset($confirmSecretCode)) {
            if ($secretCode == $confirmSecretCode) {
                //secretCode match confirmSecretcode
                if (!($secretCode == "     " || strpos($secretCode,' ')===false)) {
                    //secret code should have no space or exactly equal to 
                    //5 spaces (which mean no change to secret code)
                    $updateError = true;
                    $rpcMessage = get_cm_var('ssecret_error_secretCode_space');
                } else if ($secretCode!= "     ") {
                    /***************************
                    *   password encryption   *
                    ***************************/
                    $settingobj = new COM("FSCONFIG.Cfgmgr") or die("manageSecret.php FSCONFIG.Cfgmgr Object cannot be created!");
                    $pwd_offload=$settingobj->getKey( "pwd_offload", "gateway");
                    if($pwd_offload=="on"||$pwd_offload=="ON") {
                        $encrypt_path=$settingobj->getKey( "encrypt_path", "gateway");
                        $cmd = "\"".$encrypt_path."\" ".$secretCode;
                        //$cipher = $settingobj->runCommand($cmd);
                        $sys = new sysfunc();
					    $cipher = $sys->runCommand($cmd);
					    $sys = null;
                    } else {
                        $fs_path = $settingobj->getFsPath();
                        $cmd = "\"" . $fs_path . "dispatcher\\encrypt_pwd.exe\" " . $secretCode;
                        //$cipher = $settingobj->runCommand($cmd);
                        $sys = new sysfunc();
					    $cipher = $sys->runCommand($cmd);
					    $sys = null;
                    }
                    //release COM object
                    //$settingobj->Release();
                    $settingobj = null;

                    //check for dulplicate secret code in database
                    $secretDB=odbc_connect($dsn,"","");
                    if ($secretDB) {
                        $query = "SELECT * FROM $sharedSecretTablename WHERE groupname <> '$gpName' AND secret ='$cipher';";
                        $result=odbc_exec($secretDB,$query);
                        if (odbc_fetch_row($result)) {
                            //at least one row other than the row being edited is using the secret code
                            $updateError = true;
                            $rpcMessage = get_cm_var('ssecret_error_secret_duplicate');
                        }
                        odbc_close($secretDB);
                    } else {
                        $updateError = true;
                        $rpcMessage = get_cm_var('ssecret_error_db_connect');
                    }
                } //end if secretCode is not 5 spaces character
            } else {
                //secret code and confirm secret code do not match
                $updateError = true;
                $rpcMessage = get_cm_var('ssecret_error_secretCode_nomatch');
            }
        } else {
            //secretCode or confirmSecretcode is undefined
            $updateError = true;
        }
    } //end if !$updateError

    /************************************************************
     *  Check if group online status has change since last view *
     ************************************************************/
    if (!$updateError) {
	// 20080422 - Add data transfer sharing check
        if (isset($dtcUL) && $dtcUL == "yesDisable" || isset($dtcDL) && $dtcDL == "yesDisable" || isset($dtcSha) && $dtcSha == "yesDisable") {
            //find out if any user of that group is currently online
            $secretDB=odbc_connect($dsn,"","");
            if ($secretDB) {
                $query = "SELECT count(*) FROM $firstspotusertable WHERE groupname ='$gpName' AND reserved1 IS NOT NULL;";
                $fsusrResult = odbc_exec($secretDB,$query);
                if (odbc_fetch_row($fsusrResult)) {
                    if (odbc_result($fsusrResult,1) > 0) {
			// 20080422 - Add bwquotaSha
                        //group is online, no direct change of bwquota or bwquotaUL is allowed
                        if ($dtcDL=="yesDisable") {
                            //find old bwquota value
                            $query = "SELECT bwquota FROM $sharedSecretTablename WHERE groupname ='$gpName';";
                            $result = odbc_exec($secretDB,$query);
                            while (odbc_fetch_row($result)) {
                                $new_quotaDL = odbc_result($result,"bwquota");
                            }
                            odbc_free_result($result);
                            //see if user wanted to change bwquota by comparing old value with submitted value
                            if ($new_quotaDL=="" || round($new_quotaDL) != round($quotaDL)) {
                                //user wanted to update bwquoa. Reject update process.
                                $updateError = true;
                                $rpcMessage = get_cm_var('ssecret_error_group_status');
                            }
                        }
                        if ($dtcUL=="yesDisable") {
                            //find old bwquotaUL value
                            $query = "SELECT bwquotaUL FROM $sharedSecretTablename WHERE groupname ='$gpName';";
                            $result = odbc_exec($secretDB,$query);
                            while (odbc_fetch_row($result)) {
                                $new_quotaUL = odbc_result($result,"bwquotaUL");
                            }
                            odbc_free_result($result);
                            //see if user wanted to change bwquotaUL by comparing old value with submitted value
                            if ($new_quotaUL=="" || round($new_quotaUL) != round($quotaUL)) {
                                //user wanted to update bwquoa. Reject update process.
                                $updateError = true;
                                $rpcMessage = get_cm_var('ssecret_error_group_status');
                            }
                        }
                        if ($dtcSha == "yesDisable") {
                            // find old bwquotaSha value
                            $query = "SELECT bwquotaSha FROM $sharedSecretTablename WHERE groupname ='$gpName';";
                            $result = odbc_exec($secretDB, $query);
                            while (odbc_fetch_row($result)) {
                                $new_quotaSha = odbc_result($result, "bwquotaSha");
                            }
                            odbc_free_result($result);
                            // see if user wanted to change bwquotaSha by comparing old value with submitted value
                            if ($new_quotaSha == "" || round($new_quotaSha) != round($quotaSha)) {
                                // user wanted to update bwquoa. Reject update process.
                                $updateError = true;
                                $rpcMessage = get_cm_var('ssecret_error_group_status');
                            }
                        }
                    } //end if group is online
                } //end if successfuly fetch row
                odbc_free_result($fsusrResult);
                odbc_close($secretDB);
            } //end if db connection ok
        } //end if yesDisable
    } //end if no update error

    if (!$updateError) {
        /************************************************************
         *  Check data integrity                                    *
         *  -if certain parameter is incorrect or inconsistent, no  *
         *   update in that column will be performed                 *
         ************************************************************/
        if (!isset($bt)) { //bandwidth throttling
            $bt = ""; //will not update this column
        } else {
            //check for version and data mismatch
            if (!$allowPerUserBT && $bt!="no" && $bt!="global") {
                $bt = ""; //will not update this column if data error
            }
            if ($bt=="specify" && !(is_numeric($btUL) && is_numeric($btDL))) {
                $bt = ""; //will not update this column if data error
            }
        }   
        if (!isset($dtcUL)) { //Upload data transfer counting
            $dtcUL = ""; //will not update this column
        } else {
            if (!$allowDataTransferCount && $dtcUL!="global" && $dtcUL!="no") { //check for version and data mismatch
                $dtcUL = ""; //will not update this column
            }
            if (!$allowDataTransferQuota && $dtcUL=="yesDisable") { //check for version and data mismatch
                $dtcUL = ""; //will not update this column
            }
            if ($dtcUL=="yesDisable" && !is_numeric($quotaUL)) {
                $dtcUL = ""; //will not update this column
            }
        }
        if (!isset($dtcDL)) { //download data transfer counting
            $dtcDL = ""; //will not update this column
        } else {
            if (!$allowDataTransferCount && $dtcDL!="global" && $dtcDL!="no") { //check for version and data mismatch
                $dtcDL = ""; //will not update this column
            }
            if (!$allowDataTransferQuota && $dtcDL=="yesDisable") { //check for version and data mismatch
                $dtcDL = ""; //will not update this column
            }
            if ($dtcDL=="yesDisable" && !is_numeric($quotaDL)) {
                $dtcDL = ""; //will not update this column
            }
        }
	// 20080422 - Add data transfer sharing part
        if (!isset($dtcSha)) { //total data transfer counting
            $dtcSha = ""; //will not update this column
        } else {
            if (!$allowDataTransferCount && $dtcSha != "no") { //check for version and data mismatch
                $dtcSha = ""; //will not update this column
            }
            if (!$allowDataTransferQuota && $dtcSha == "yesDisable") { //check for version and data mismatch
                $dtcSha = ""; //will not update this column
            }
            if ($dtcSha == "yesDisable" && !is_numeric($quotaSha)) {
                $dtcSha = ""; //will not update this column
            }
        }
        if (!isset($resetDTC)) { //when to reset data transfer tracking
            $resetDTC = "";
        } else {
            if ($resetDTC=="monthly") { // reset monthly
                if (!isset($resetMonthlyDay)||!is_numeric($resetMonthlyDay)||$resetMonthlyDay<1||$resetMonthlyDay>31) {
                    $resetDTC = "";
                }
                if (!isset($resetMonthlyMonth)||!is_numeric($resetMonthlyMonth)||$resetMonthlyMonth<1) {
                    $resetDTC = "";
                }
            } else if ($resetDTC=="daily") { //reset daily
                if (!isset($resetDailyDay)||!is_numeric($resetDailyDay)||$resetDailyDay<1||$resetDailyDay>31) {
                    $resetDTC = "";
                }
            }
        }
        /****************************
         *  Make secret code value  *
         ****************************/
        if ($secretCode!="     ") {      
            $arrSqlSet[] = "secret = '$cipher'";
        }

        /************************************
         *  Make bandwidth throttling value *
         ************************************/
        switch ($bt) {
            case "no":
                $arrSqlSet[] = "btul = 0";
                $arrSqlSet[] = "btdl = 0";
                break;
            case "low":
                $arrSqlSet[] = "btul = $low";
                $arrSqlSet[] = "btdl = $low";
                break;
            case "medium":
                $arrSqlSet[] = "btul = $medium";
                $arrSqlSet[] = "btdl = $medium";
                break;
            case "high":
                $arrSqlSet[] = "btul = $high";
                $arrSqlSet[] = "btdl = $high";
                break;
            case "specify":
                $arrSqlSet[] = "btul = ".round($btUL);
                $arrSqlSet[] = "btdl = ".round($btDL);
                break;
            case "global":
                $arrSqlSet[] = "btul = NULL";
                $arrSqlSet[] = "btdl = NULL";
                break;
            default:
                //do not add entry to SQL SET statement
                break;
        }//end switch $bt

        /************************************************
         *  Make upload data transfer counting value    *
         ************************************************/
        switch ($dtcUL) {
            case "no":
                $arrSqlSet[] = "bwcountUL = 0";
                $arrSqlSet[] = "bwquotaUL = NULL";
                $arrSqlSet[] = "accumbwUL = NULL";
                $arrSqlSet[] = "reserved16 = NULL";
                break;
            case "yes":
                $arrSqlSet[] = "bwcountUL = 1";
                $arrSqlSet[] = "bwquotaUL = NULL";
                break;
            case "yesDisable":
                $arrSqlSet[] = "bwcountUL = 2";
                if (isset($addQuotaUL) && is_numeric($addQuotaUL)) {
                    //add upload quota
                    $arrSqlSet[] = "reserved16 = ".round($quotaUL); //copy the old value to reserved16
                    $quotaUL += $addQuotaUL; //put new value to quotaUL
                }
                $arrSqlSet[] = "bwquotaUL = ".round($quotaUL);
                break;
            case "global":
                $arrSqlSet[] = "bwcountUL = NULL";
                $arrSqlSet[] = "bwquotaUL = NULL";
                break;
            default:
                //do not add entry to SQL SET statement
                break;
        } //end switch $dtcUL

        /************************************************
         *  Make download data transfer counting value  *
         ************************************************/
        switch ($dtcDL) {
            case "no":
                $arrSqlSet[] = "bwcount = 0";
                $arrSqlSet[] = "bwquota = NULL";
                $arrSqlSet[] = "accumbw = NULL";
                $arrSqlSet[] = "reserved15 = NULL";
                break;
            case "yes":
                $arrSqlSet[] = "bwcount = 1";
                $arrSqlSet[] = "bwquota = NULL";
                break;
            case "yesDisable":
                $arrSqlSet[] = "bwcount = 2";
                if (isset($addQuotaDL) && is_numeric($addQuotaDL)) {
                    //add download quota
                    $arrSqlSet[] = "reserved15 = ".round($quotaDL); //copy the old value to reserved15
                    $quotaDL += $addQuotaDL; //put new value to quotaDL
                }
                $arrSqlSet[] = "bwquota = ".round($quotaDL);
                break;
            case "global":
                $arrSqlSet[] = "bwcount = NULL";
                $arrSqlSet[] = "bwquota = NULL";
                break;
            default:
                //do not add entry to SQL SET statement
                break;
        } //end switch $dtcDL

        /******************************************************
         * 20080422 - Make total data transfer counting value *
         ******************************************************/
        switch ($dtcSha) {
            case "no":
                $arrSqlSet[] = "bwcountSha = 0";
                $arrSqlSet[] = "bwquotaSha = NULL";
                $arrSqlSet[] = "accumbwSha = NULL";
                $arrSqlSet[] = "reserved18 = NULL";
                break;
            case "yes":
                $arrSqlSet[] = "bwcountSha = 1";
                $arrSqlSet[] = "bwquotaSha = NULL";
                break;
            case "yesDisable":
                $arrSqlSet[] = "bwcountSha = 2";
                if (isset($addQuotaSha) && is_numeric($addQuotaSha)) {
                    //add download quota
                    $arrSqlSet[] = "reserved18 = ".round($quotaSha); //copy the old value to reserved15
                    $quotaSha += $addQuotaSha; //put new value to quotaDL
                }
                $arrSqlSet[] = "bwquotaSha = ".round($quotaSha);
                break;
            default:
                //do not add entry to SQL SET statement
                break;
        } //end switch $dtcSha

        /************************************************
         *  Make reset data transfer counting period    *
         ************************************************/
         switch($resetDTC) {
             case "never":
                 $arrSqlSet[] = "bwrmethod = 'disable'";
                 $arrSqlSet[] = "bwrperiod = NULL";
                 //$arrSqlSet[] = "lastrbw = NULL";
                 $arrSqlSet[] = "bwrdate = NULL";
                 break;
             case "monthly":
                     $arrSqlSet[] = "bwrmethod = 'month'";
                     $arrSqlSet[] = "bwrperiod = $resetMonthlyMonth";
                     $arrSqlSet[] = "bwrdate = $resetMonthlyDay";
                    
						        // Group Set last period of time (Reset ABW) (Add)
										if ($monthlyResetLastabwDate !=null && $monthlyResetLastabwTime != null ){
													$arrSqlSet[] = "lastrbw = ".mktime_from_datetime($monthlyResetLastabwDate,$monthlyResetLastabwTime);
										}
                 break;
             case "daily":
                 $arrSqlSet[] = "bwrmethod = 'day'";
                 $arrSqlSet[] = "bwrdate = NULL";
                 $arrSqlSet[] = "bwrperiod = $resetDailyDay";
                 
	                // Group Set last period of time (Reset ABW) (Add)
									if ($dailyResetLastabwDate !=null && $dailyResetLastabwTime != null ){
										$arrSqlSet[] = "lastrbw = ".mktime_from_datetime($dailyResetLastabwDate,$dailyResetLastabwTime);
								 	}
                 break;
             case "global":
                 $arrSqlSet[] = "bwrmethod = NULL";
                 $arrSqlSet[] = "bwrdate = NULL";
                 $arrSqlSet[] = "bwrperiod = NULL";
                 //$arrSqlSet[] = "lastrbw = NULL";
                 break;
             default:
                 break;
         } //end switch reset data transfer count
         
        /************************************
         *  start to update database table  *
         ************************************/
        $secretDB=odbc_connect($dsn,"","");
        if ($secretDB) {
            $query = "UPDATE $sharedSecretTablename SET ".implode(',', $arrSqlSet)." WHERE groupname = '$gpName';";
            $result = odbc_exec($secretDB,$query);
            if (!odbc_num_rows($result)) {
                $updateError = true;
                $rpcMessage = get_cm_var('ssecret_error_db_update');
            } else {
                $rpcMessage = get_cm_var('ssecret_update_ok').$gpName;
            }
            odbc_close($secretDB);
        } else {
            $updateError = true;
            $rpcMessage = get_cm_var('ssecret_error_db_connect');
        }
    } //end if !$updateError
?>
parent.rpcUpdateReply('<?=$updateError?>|<?=$gpName?>|<?=$rpcMessage?>');
</script>
</head>
<body>
</body>
</html>
