<script type="text/javascript">
<?php
// login correct
    require_once("secureLogin.php"); //for security reason
    require_once("cmvar.php");
    include_once "sysfunc.php";
    include_once("..\\authserv\\common_functions.php");
    
    $settingobj = new COM("FSCONFIG.Cfgmgr") or die("addSecret.php FSCONFIG.Cfgmgr Object cannot be created!");

    // obtain low, medium or high BT value from config.ini
    $outval = $settingobj->getKey( "bt_low", "bw_throttle");        
    if($outval!="") $low=$outval;
    $outval = $settingobj->getKey( "bt_medium", "bw_throttle");       
    if($outval!="") $medium=$outval;
    $outval = $settingobj->getKey( "bt_high", "bw_throttle");
    if($outval!="") $high=$outval;

	// 20090518 - Add Premium
	// find out version information
	$version=strtolower($settingobj->getKey( "version", "version"));
	$allowPerUserBT = $version == "trial" || $version == "advanced" || $version == 'premium';
	$allowDataTransferCount = $version == "trial" || $version == "standard" || $version == "advanced" || $version == 'premium';
	$allowDataTransferQuota = $version == "trial" || $version == "advanced" || $version == 'premium';

    //find database source file
    $dsn_file=$settingobj->getKey( "Datasource", "gateway");
    $dsn_source=fopen($dsn_file, "r") or die("Cannot open DSN source file!");
    $dsn="";
    if (!feof($dsn_source)) { $line=fgets($dsn_source,512); }
    while (!feof($dsn_source)) {
      $line=fgets($dsn_source,512);
      if (trim($line)!="") $dsn=$dsn.$line;
    }
    fclose($dsn_source);
    $dsn=str_replace("\r\n",";",$dsn);

    //find secret table name
    $sharedSecretTablename = $settingobj->getKey( "Datasource_Shared_Secret_Tablename", "gateway");

    //release COM object
    //$settingobj->Release();
    $settingobj = null;

    /*****************************************
     *  Integerity check for submitted data  *
     *****************************************/

    $dataError = false;
    if (!isset($gpName) || $gpName=="" || ereg("['\"\ ]", $gpName)) {
        $dataError = true;
        $rpcMessage = get_cm_var('ssecret_error_gpName_space');
    } else {
        //check for dulplicate secret name in database
        $secretDB=odbc_connect($dsn,"","");
        if ($secretDB) {
            $query = "SELECT * FROM $sharedSecretTablename WHERE groupname ='$gpName';";
            $result = odbc_exec($secretDB,$query);
            if (odbc_fetch_row($result)) {
                //there is at least one row return
                $dataError = true;
                $rpcMessage = get_cm_var('ssecret_error_gpName_duplicate');
            }
            odbc_close($secretDB);
        } else {
            $dataError = true;
            $rpcMessage = get_cm_var('ssecret_error_db_connect');
        }
    }
    if (!(isset($secretCode) && isset($confirmSecretCode) && strpos($secretCode,' ')===false && strpos($confirmSecretCode,' ')===false)) {
        //secretCode and confirmSecretCode not defined for it contain spaces
        $dataError = true;
        $rpcMessage = get_cm_var('ssecret_error_secretCode_space');
    } else if ($secretCode != $confirmSecretCode) {
        //secretcode and confirmSecretCode does not match
        $dataError = true;
        $rpcMessage = get_cm_var('ssecret_error_secretCode_nomatch');
    } else {
        /***************************
         *   password encryption   *
         ***************************/
        $settingobj = new COM("FSCONFIG.Cfgmgr") or die("addGroup.php FSCONFIG.Cfgmgr Object cannot be created!");
        $pwd_offload=$settingobj->getKey( "pwd_offload", "gateway");
        if($pwd_offload=="on"||$pwd_offload=="ON") {
            $encrypt_path=$settingobj->getKey( "encrypt_path", "gateway");
            $cmd = "\"".$encrypt_path."\" ".$secretCode;
            //$cipher = $settingobj->runCommand($cmd);
            $sys = new sysfunc();
		    $cipher = $sys->runCommand($cmd);
		    $sys = null;
        } else {
            $fs_path = $settingobj->getFsPath();
            $cmd = "\"" . $fs_path . "dispatcher\\encrypt_pwd.exe\" " . $secretCode;
            //$cipher = $settingobj->runCommand($cmd);
            $sys = new sysfunc();
		    $cipher = $sys->runCommand($cmd);
		    $sys = null;
        }
        //release COM object
        //$settingobj->Release();
        $settingobj = null;

        //check for dulplicate secret code in database, since secret code must be unique irrespective of group name
        $secretDB=odbc_connect($dsn,"","");
        if ($secretDB) {
            $query = "SELECT * FROM $sharedSecretTablename WHERE secret ='$cipher';";
            $result = odbc_exec($secretDB,$query);
            if (odbc_fetch_row($result)) {
                //there is at least one row return
                $dataError = true;
                $rpcMessage = get_cm_var('ssecret_error_secret_duplicate');
            }
            odbc_close($secretDB);
        } else {
            $dataError = true;
            $rpcMessage = get_cm_var('ssecret_error_db_connect');
        }
    }


    /********************************************
     *  Apply default setting for strange data  *
     ********************************************/
    if (!$dataError) {
        if (!isset($bt)) {
            $bt = "global"; //default value
        } else {
            //check for version and data mismatch
            if (!$allowPerUserBT && $bt!="no" && $bt!="global") {
                $bt = "global"; //provide default value if data error
            }
            if ($bt=="specify" && !(is_numeric($btUL) && is_numeric($btDL))) {
                $bt = "global"; //provide default value if data error
            }
        }   
        if (!isset($dtcUL)) {
            $dtcUL = "global"; //default value
        } else {
            if (!$allowDataTransferCount && $dtcUL!="global" && $dtcUL!="no") { //check for version and data mismatch
                $dtcUL = "global"; //provide default value if data error
            }
            if (!$allowDataTransferQuota && $dtcUL=="yesDisable") { //check for version and data mismatch
                $dtcUL = "global"; //provide default value if data error
            }
            if ($dtcUL=="yesDisable" && !is_numeric($quotaUL)) {
                $dtcUL = "global"; //provide default value if data error
            }
        }
        if (!isset($dtcDL)) {
            $dtcDL = "global"; //default value
        } else {
            if (!$allowDataTransferCount && $dtcDL!="global" && $dtcDL!="no") { //check for version and data mismatch
                $dtcDL = "global"; //provide default value if data error
            }
            if (!$allowDataTransferQuota && $dtcDL=="yesDisable") { //check for version and data mismatch
                $dtcDL = "global"; //provide default value if data error
            }
            if ($dtcDL=="yesDisable" && !is_numeric($quotaDL)) {
                $dtcDL = "global"; //provide default value if data error
            }
        }
	// 20080421 - Modification for data transfer sharing
        if (!isset($dtcSha)) {
            $dtcSha = "no"; // default value
        } else {
            if (!$allowDataTransferCount && $dtcSha != "no") { //check for version and data mismatch
                $dtcSha = "no"; //provide default value if data error
            }
            if (!$allowDataTransferQuota && $dtcSha == "yesDisable") { //check for version and data mismatch
                $dtcSha = "no"; //provide default value if data error
            }
            if ($dtcSha == "yesDisable" && !is_numeric($quotaSha)) {
                $dtcSha = "no"; //provide default value if data error
            }
        }
        if (!isset($resetDTC)) {
            $resetDTC = "global";
        } else {
            if ($resetDTC=="monthly") { // reset monthly
                if (!isset($resetMonthlyDay)||!is_numeric($resetMonthlyDay)||$resetMonthlyDay<1||$resetMonthlyDay>31) {
                    $resetMonthlyDay = 1; //provide default value if data error
                }
                if (!isset($resetMonthlyMonth)||!is_numeric($resetMonthlyMonth)||$resetMonthlyMonth<1) {
                    $resetMonthlyMonth = 1; //provide default value if data error
                }
            } else if ($resetDTC=="daily") { //reset daily
                if (!isset($resetDailyDay)||!is_numeric($resetDailyDay)||$resetDailyDay<1||$resetDailyDay>31) {
                    $resetDailyDay = 1; //provide default value if data error
                }
            }
        }
    }

    /************************************************
     *  Preparing values for SQL INSERT statement   *
     ************************************************/
    if (!$dataError) {
        $sql_groupname = "'$gpName'";
        $sql_secret = "'$cipher'";

        /*******************************
         *    bandwidth throttling     *
         *******************************/
        switch ($bt) {
            case "no":
                $sql_bu = "0";
                $sql_bd = "0";
                break;
            case "low":
                $sql_bu = $low;
                $sql_bd = $low;
                break;
            case "medium":
                $sql_bu = $medium;
                $sql_bd = $medium;
                break;
            case "high":
                $sql_bu = $high;
                $sql_bd = $high;
                break;
            case "specify":
                $sql_bu = round($btUL);
                $sql_bd = round($btDL);
                break;
            case "global":
            default:
                $sql_bu = "NULL";
                $sql_bd = "NULL";
                break;
        }

        /****************************************
         *     Upload data transfer counting    *
         ****************************************/
        switch ($dtcUL) {
            case "no":
                $sql_bwcountUL = "0";
                $sql_accumbwUL = "NULL";
                $sql_bwquotaUL = "NULL";
                break;
            case "yes":
                $sql_bwcountUL = "1";
                $sql_accumbwUL = "0";
                $sql_bwquotaUL = "NULL";
                break;
            case "yesDisable":
                $sql_bwcountUL = "2";
                $sql_accumbwUL = "0";
                $sql_bwquotaUL = round($quotaUL);
                break;
            case "global":
            default:
                $sql_bwcountUL = "NULL";
                $sql_accumbwUL = "NULL";
                $sql_bwquotaUL = "NULL";
                break;
        }
        /****************************************
         *     Download data transfer counting    *
         ****************************************/
        switch ($dtcDL) {
            case "no":
                $sql_bwcount = "0";
                $sql_accumbw = "NULL";
                $sql_bwquota = "NULL";
                break;
            case "yes":
                $sql_bwcount = "1";
                $sql_accumbw = "0";
                $sql_bwquota = "NULL";
                break;
            case "yesDisable":
                $sql_bwcount = "2";
                $sql_accumbw = "0";
                $sql_bwquota = round($quotaUL);
                break;
            case "global":
            default:
                $sql_bwcount = "NULL";
                $sql_accumbw = "NULL";
                $sql_bwquota = "NULL";
                break;
        }
	/*
	 * 20080421 - Total data transfer counting
	 */
	switch ($dtcSha) {
	case "no":
	    $sql_bwcountSha = "0";
	    $sql_accumbwSha = "NULL";
	    $sql_bwquotaSha = "NULL";
	    break;
	case "yes":
	    $sql_bwcountSha = "1";
	    $sql_accumbwSha = "0";
	    $sql_bwquotaSha = "NULL";
	    break;
	case "yesDisable":
	    $sql_bwcountSha = "2";
	    $sql_accumbwSha = "0";
	    $sql_bwquotaSha = round($quotaSha);
	    break;
	default:
	    $sql_bwcountSha = "NULL";
	    $sql_accumbwSha = "NULL";
	    $sql_bwquotaSha = "NULL";
	    break;
	}
        /*****************************************
         *  When to reset data transfer counter  *
         *****************************************/
        switch ($resetDTC) {
            case "never":
                $sql_bwrmethod = "'disable'";
                $sql_bwrperiod = "NULL";
                $sql_lastrbw = "NULL";
                $sql_bwrdate = "NULL";
                break;
            case "monthly":
                $sql_bwrmethod = "'month'";
                $sql_lastrbw = "NULL";
                // Group Set last period of time (Reset ABW) (Add)
								if ($monthlyResetLastabwDate !=null && $monthlyResetLastabwTime != null ){
									$sql_lastrbw = mktime_from_datetime($monthlyResetLastabwDate,$monthlyResetLastabwTime);
							 	}
                $sql_bwrdate = round($resetMonthlyDay);
                $sql_bwrperiod = round($resetMonthlyMonth);
                break;
            case "daily":
                $sql_bwrmethod = "'day'";
                $sql_bwrperiod = round($resetDailyDay);
                $sql_lastrbw = "NULL";
                // Group Set last period of time (Reset ABW) (Add)
								if ($dailyResetLastabwDate !=null && $dailyResetLastabwTime != null ){
									$sql_lastrbw = mktime_from_datetime($dailyResetLastabwDate,$dailyResetLastabwTime);
							 	}
                $sql_bwrdate = "NULL";
                break;
            case "global":
            default:
                $sql_bwrmethod = "NULL";
                $sql_bwrperiod = "NULL";
                $sql_lastrbw = "NULL";
                $sql_bwrdate = "NULL";
                break;
        }

        $sql_startdate = "'".date("D M d H:i:s Y")."'";
        
        /****************************************
         *  Start to insert entry to database   *
         ****************************************/
        $secretDB=odbc_connect($dsn,"","");
        if ($secretDB) {
	    // 20080421 - Modification for data transfer sharing
            $sql = "INSERT INTO $sharedSecretTablename (groupname, secret,
            btul, btdl, accumbw, bwquota, bwcount, bwrmethod, bwrperiod,
            lastrbw, bwrdate, bwcountUL, bwquotaUL, accumbwUL, sdate, bwcountsha, bwquotasha, accumbwsha) VALUES
            ($sql_groupname, $sql_secret, $sql_bu, $sql_bd, $sql_accumbw,
            $sql_bwquota, $sql_bwcount, $sql_bwrmethod, $sql_bwrperiod, 
            $sql_lastrbw, $sql_bwrdate, $sql_bwcountUL, $sql_bwquotaUL, 
            $sql_accumbwUL, $sql_startdate, $sql_bwcountSha, $sql_bwquotaSha, $sql_accumbwSha);"; 
            $result = odbc_exec($secretDB,$sql);
            $rpcMessage = get_cm_var('ssecret_add_ok').$gpName."|".$gpName;
            odbc_close($secretDB);
        } else {
            $dataError = "true";
            $rpcMessage = get_cm_var('ssecret_error_db_connect');
        }
    } //end no data error
?>
parent.rpcAddReply('<?=$dataError?>|<?=$rpcMessage?>');
</script>
