/*
    JAVASCRIPT FUNCTIONS FOR ODBC/RADIUS
*/

function show_hide(id){
    var isshow='';
    if (document.getElementById(id).style.display == 'none'){
        document.getElementById(id).style.display = '';
    } else {
        document.getElementById(id).style.display = 'none';
    }
}

function code_enable() {
    var displayString;
    document.getElementById('editSecretRow').style.display = 'none';

    // 20080422 - Name changed
    if (document.form_a.login_opt_rb[3].checked) { //adjust visibility
	document.getElementById('anonymous_showUsersLog').style.display = 'none';
	document.getElementById('ssecret_showUsersLog').style.display = '';
	document.getElementById('manageSecret').style.display = '';
	if (document.getElementById('manageSecret').value == 'Hide') {
	    //refesh manage secret button
	    toggleEditSecretFrame();
	}
    } else if (document.form_a.login_opt_rb[2].checked) { //adjust visibility
	document.getElementById('anonymous_showUsersLog').style.display = '';
	document.getElementById('ssecret_showUsersLog').style.display = 'none';
	document.getElementById('manageSecret').style.display = 'none';
    } else {
	document.getElementById('anonymous_showUsersLog').style.display = 'none';
	document.getElementById('ssecret_showUsersLog').style.display = 'none';
	document.getElementById('manageSecret').style.display = 'none';
    }
}

function commonChange_RADIUS_ODBC(){
    show_hide('odbc_selection_checked');
    show_hide('radius_selection_checked');
    show_hide('odbc_Datasource');
    show_hide('odbc_session_log');
    show_hide('radius_ServerIP');
    show_hide('radius_AuthPort');
    show_hide('radius_AccPort');
    show_hide('radius_SharedSecret');
    show_hide('radius_FSVendorID');
    show_hide('radius_LocalDatasource');
    show_hide('radius_acct_method');
    show_hide('radius_line2');
    show_hide('radius_NAS_IDENTIFIER');
    show_hide('radius_line3');
    show_hide('radius_NAS_IP_ADDRESS');
    show_hide('radius_line4');
    show_hide('radius_ACCT_STATUS_FSLOGIN');
    show_hide('radius_line5');
    show_hide('radius_ACCT_STATUS_FSLOGOUT');
    show_hide('radius_line6');
    show_hide('radius_ACCT_STATUS_FSWRITELOG');
    show_hide('radius_line7');
    show_hide('radius_ACCT_STATUS_FSPRINTERON');
    show_hide('radius_line9');
    show_hide('radius_line8');
    show_hide('anonymous1');
	show_hide('radius_line10');
	show_hide('radius_line11');
}

function changeRADIUS(){
    document.form_a.radius_selection[1].checked = true;
    document.form_a.odbc_selection[1].checked = true;
    commonChange_RADIUS_ODBC();
    //hide all anonymous options row
    document.getElementById('editSecretRow').style.display = 'none';
    document.getElementById('anonymous_showUsersLog').style.display = 'none';
    document.getElementById('ssecret_showUsersLog').style.display = 'none';
	document.getElementById('manageSecret').style.display = 'none';
	// hide all scenario2
    document.form_a.scenario2.checked = false;
    document.getElementById('scenario2').style.display = 'none';
    document.getElementById('siteID').style.display = 'none';
    document.getElementById('clear_Message_table').style.display = 'none';
}

function changeODBC(){
	document.form_a.login_opt_rb[0].checked = true;
    document.form_a.radius_selection[0].checked = true;
    document.form_a.odbc_selection[0].checked = true;
    commonChange_RADIUS_ODBC();
	// enable scenario2
	document.form_a.scenario2.checked = false;
    document.getElementById('scenario2').style.display = '';
}

/*
    JavaScript Function signup_filter()
*/

function signup_filter(value, nomac){
    if(value == 0){
        document.form_a.self_signup_period.disabled=false;
    }else{
        document.form_a.self_signup_period.disabled=true;
        document.form_a.self_signup_period.value='';
    }
}

function toggleEditSecretFrame() {
	var manageBtn = document.getElementById('manageSecret');
	var iframeObj = document.getElementById('editSecretFrame');
	var iframeRow = document.getElementById('editSecretRow');
	if (manageBtn.value=="Hide") {
		iframeObj.src = "about:blank";
		iframeObj.style.display = 'none';
		iframeRow.style.display = 'none';
		manageBtn.value = "Manage";
	} else {
		iframeObj.src = "manageGroup.php";
		iframeObj.style.display = '';
		iframeRow.style.display = '';
		manageBtn.value = "Hide";
	}
}

function scenario2_enable() {
	var displayString;
	var arrControl = ['clear_Message_table']; //it control visibility of 'clear_Message_table'
	var arrControl2 = ['siteID']; //it control visibility of 'siteID'
	if (document.form_a.scenario2.checked) {
		displayString = '';
		document.form_a.clearMessage.disabled = false;
		document.form_a.siteID.disabled = false;
		
	} else {
		displayString = 'none';
		document.form_a.clearMessage.disabled = true;
		document.form_a.siteID.disabled = true;
		
	}
	for (var v in arrControl) { //adjust visibility
		document.getElementById(arrControl[v]).style.display = displayString;
		document.getElementById(arrControl2[v]).style.display = displayString;
	}
	
	document.form_a.clearMessage.checked = false;
}

function showUserLog() {
	oShowLogWindow = 		window.open('userlog.php','log','toolbar=0,scrollbars=1,location=0,statusbar=0,menubar=0,resizable=1');
	oShowLogWindow.focus();
}