<?php header("Cache-Control: no-cache, must-revalidate"); ?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>FirstSpot&reg; | submit</title>
<link rel="stylesheet" href="local.css">
<script type="text/javascript">
function submitForm()
{
	document.payment.submit();
}
</script>
</head>

<?php
//20080706 check only postfields username and item_index now
//******** ensure require postfields have submitted by cart.php ***********//  

$status_message="";
$ok=true;
if ( !isset($_POST["username"]) || strcmp ($_POST["username"], "") == 0) {
  $status_message="- <b>username</b>: the FirstSpot user who is going to receive the purchase air time credit.<br>";
  $ok=false;
}
if (!isset($_POST["item_index"]) || strcmp ($_POST["item_index"], "") == 0) {
  $status_message.="- <b>item_index</b>: the item_index for searching the item attributes.<br>";
  $ok=false;
}

if (!$ok) {
  echo '<body>'."\n";
  echo 'These are the minimum fields you have to post to this php file:<p>'."\n";
  echo $status_message;
    // 20080211 - Correct typo
    echo "\n".'</p><p>Auto-redirection to Google Checkout is aborted.</p>'."\n";
  if(isset($_SERVER['HTTP_REFERER']))
    echo "<a href=\"{$_SERVER['HTTP_REFERER']}\">Click here to go back</a>\n";
  echo "</body>\n";
  echo "</html>\n";
  die;
}

include_once "transaction.php";

$myTransaction = new transaction();
//20080716 use the get_cart_item_arr function to retrieve the transaction item array(contains the item information)
$item_index=$_POST['item_index'];
$cart_item_arr=$myTransaction->get_cart_item_arr($item_index);
//20080716 show warning if the cart item does not exists
if($cart_item_arr==null){
	echo '<body>'."\n";
	echo 'Shopping Item not find!!'."\n";
	echo '<p>Auto-redirection to Google Checkout is aborted.</p>'."\n";
	if(isset($_SERVER['HTTP_REFERER']))
	echo "<a href=\"{$_SERVER['HTTP_REFERER']}\">Click here to go back</a>\n";
	echo "</body>\n";
	echo "</html>\n";
	die;
}

//initialize variable
$settingobj = new COM("FSCONFIG.Cfgmgr") or die("checkout_submit.php FSCONFIG.Cfgmgr Object cannot be created!");
$id=$settingobj->getKey( "checkout_merchant_id", "googleCheckout");
$return=$settingobj->getKey( "checkout_return", "googleCheckout");
$cancel_return=$settingobj->getKey( "checkout_cancel_return", "googleCheckout");
$currency_code=$settingobj->getKey( "checkout_base_currency", "googleCheckout");
//$settingobj->Release();
$settingobj=null;

//destination url
$url="https://checkout.google.com/cws/v2/Merchant/".$id."/checkoutForm";
//$url="https://sandbox.google.com/checkout/cws/v2/Merchant/".$id."/checkoutForm";
  //20080716 postfields from cart.php now contains item_index and username only
  //postfields from cart.php
  //$_POST["username"];
  //$_POST["item_index"];

//default postfields


//recurring
//define interval_unit for recurring
if (isset($cart_item_arr['interval_unit'])) {
  $interval_unit = $cart_item_arr['interval_unit'];

  if ($interval_unit == "days")
    $unit = "D";
  else if ($interval_unit == "weeks")
    $unit = "W";
  else if ($interval_unit == "months")
    $unit = "M";
  else if ($interval_unit == "years")
    $unit = "Y";
}

//require postfields for recurring
if (isset($cart_item_arr['recurring_enable']))
  if ( $cart_item_arr['recurring_enable'] == 1 )
  {
    $postfields['cmd'] = "_xclick-subscriptions";
    $postfields['a3'] = $cart_item_arr['amount'];
    $postfields['p3'] = $cart_item_arr['interval'];
    $postfields['t3'] = $unit;
    $postfields['src'] = "1";
    $postfields['sra'] = "1";

    if ( isset($cart_item_arr['recurring_method']) && isset($cart_item_arr['fixed_number']) ) {
      if ( $cart_item_arr['recurring_method'] == "fixed" && $cart_item_arr['fixed_number'] != null && $cart_item_arr['fixed_number'] != "" )
        $postfields['srt'] = $cart_item_arr["fixed_number"];
    }
  }
//end of recurring  

//define your own postfields

//define fields need to be updated
$method = "checkout";
$dbfields['item_name'] = $cart_item_arr['item_name'];
$dbfields['amount'] = $cart_item_arr['amount'];
$dbfields['planname'] = $cart_item_arr['plan'];
$dbfields['quantity'] = $cart_item_arr['quantity'];
$dbfields['curr'] = $currency_code;
$dbfields['method'] = $method;

//insert transaction into database
$invoice_no = $myTransaction->insert_transaction($_POST["username"], $dbfields);

// google checkout HTML API Method
//assign invoice number to postfield
$postfields['shopping-cart.merchant-private-data'] = $invoice_no;

//Since only one item can be choose
$postfields['item_name_1'] = $cart_item_arr['item_name'];
$postfields['item_description_1']=$cart_item_arr['plan'];
$postfields['item_quantity_1']=$cart_item_arr['quantity'];
$postfields['item_price_1']=$cart_item_arr['amount'];
$postfields['item_currency_1']=$currency_code;

$postfields['checkout-flow-support.merchant-checkout-flow-support.edit-cart-url']=$cancel_return;
$postfields['checkout-flow-support.merchant-checkout-flow-support.continue-shopping-url']=$return;

// 20080206 - Stop submit form if INVOICE is abnormal
if ($invoice_no > 0) {

?>
<body onload="submitForm()">
<?php

    //submit form to payment gateway
    $myTransaction->submit_form($url, $postfields);
} else {
    echo "<body>\n";
    echo "\n".'<p>Transaction failed... Please contact the help desk!</p>'."\n";
    if(isset($_SERVER['HTTP_REFERER'])) {
	echo "<a href=\"{$_SERVER['HTTP_REFERER']}\">Click here to go back</a>\n";
    }
    echo "</body>\n";
    echo "</html>\n";
    die;
}
    
?>
</body>
</html>
