<?php
require_once 'secureLogin.php'; //prevent hacker run this script by setting GET variables
?>
<html>
<head>
<title>Proxy ARP table</title>
<style type="text/css">
<!--
    ul { font-family: Tahoma, sans-serif; font-size: 10pt; }
    .odd { background: #F0F0F0; }
    .even { background: #FFF; }
    .checked { background: #BAEAD6; }
    #display { color: #000; list-style: none; margin: 0px; padding: 0;}
    #add { color: #096; list-style: none; margin: 0px; padding: 0; border-top: 1px solid green; }
    #display li, #add li { padding-left: 10px; }
    #display span, #add span { width: 350px; float:left; }
    form { margin: 0;}
-->
</style>
</head>
<body>

<?php

require_once 'display_list.php';

// should be added in dispatcher setting ok - cancel
// purge if cancel
if (isset($purge)&&($purge=='true')) {
    $ser_display_proxy=NULL;
    $ser_add_proxy=NULL;
}

// register sessions, if needed
if (!isset($ser_display_proxy)||($ser_display_proxy=='')) {
    $settingobj = new COM('FSCONFIG.Cfgmgr') or die('table_proxyArp.php FSCONFIG.Cfgmgr Object cannot be created!');

    $num_proxy = $settingobj->getKey( 'ip_num', 'proxyARP');

    $tmp_num='0'.trim($num_proxy);
    $num = (int)$tmp_num;

    $display_proxy= new Site_Array;

    $i=0;
    while ($i<$num) {
        $proxyARP[$i] = $settingobj->getKey( 'ip_addr'.$i, 'proxyARP');
        $strarray = trim($proxyARP[$i]);

        $display_proxy->add_site('','','false',FALSE,'');
        $display_proxy->site_list[$i]->span = $strarray;

        $i++;
    }

    //free COM object
    //$settingobj->Release();
    $settingobj=null;

    $ser_display_proxy=serialize($display_proxy);
    session_register('ser_display_proxy');  
}

if (!isset($ser_add_proxy)) {
    $add_proxy = new Site_Array;
    $ser_add_proxy = serialize($add_proxy);
    session_register('ser_add_proxy');
}

// unserialize data
if (isset($ser_display_proxy)) {
    $display_proxy = unserialize($ser_display_proxy);
}
if (isset($ser_add_proxy)) {
    $add_proxy = unserialize($ser_add_proxy);
}

if ($display_proxy->num_sites > 0) {
    echo '<ul id="display">';

    $i=0;
    $class='';

    while ($i < $display_proxy->num_sites) {
        if ($display_proxy->site_list[$i]->name!=";") {
            $class = ($class == 'odd')? 'even': 'odd';
            if ($display_proxy->site_list[$i]->checked == 'true') {
                $checked = 'checked';
                $class = 'checked';
            } else {
                $checked = '';
            }
            echo '
    <li class="'.$class.'">
        <span>'.$display_proxy->site_list[$i]->name.$display_proxy->site_list[$i]->span.'</span>
        <input type="checkbox" onclick="document.combo.item_no_proxy.value=\'dis'.$i.'\'; document.combo.submit();"'.$checked.'>
    </li>';
        }
        $i++;
    }

    echo "\n</ul>\n";
}

if ($add_proxy->num_sites>0) {
    echo '<ul id="add">';

    $i=0;
    $class='';

    while ($i < $add_proxy->num_sites) {
        if ($add_proxy->site_list[$i]->name!=";") {
            $class = ($class == 'odd')? 'even': 'odd';
            if ($add_proxy->site_list[$i]->checked == 'true') {
                $checked = 'checked';
                $class = 'checked';
            } else {
                $checked = '';
            }
            echo '
    <li class="'.$class.'">
        <span>'.$add_proxy->site_list[$i]->name.$add_proxy->site_list[$i]->span.'</span>
        <input type="checkbox" onclick="document.combo.item_no_proxy.value=\'add'.$i.'\'; document.combo.submit();"'.$checked.'>
    </li>';
        }
        $i++;
    }

    echo "\n</ul>\n";
}

?>

<form name="combo" action="intermediate.php" method="post">
    <input type="hidden" name="item_no_proxy" value="">
</form>

</body>
</html>
